using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Interactible : MonoBehaviour {

    public bool pickupable;
    public bool cableUser;
    public bool crushable { get { return crushedPrefab != null;  } }
    public GameObject crushedPrefab;
    public int joules;

    public void Start()
    {
        var worldIndex = World.GetWorldIndex(transform.position);
        var world = Game.instance.worlds[worldIndex].world;
        world.interactableMap[world.GetIndex(transform.position)] = this;
    }
}
